#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {

	char c;
	FILE *fp;

	// Abre arquivo no modo leitura e escrita - apaga o conteúdo do arquivo
	fp = fopen("ler.txt", "r");

	// Abertura do arquivo não foi bem-sucedida
	if(fp == NULL) {
		printf("\nProblemas ao tentar abrir arquivo!\n");
		exit(1);
	}
	// Abertura do arquivo foi bem-sucedida
	else {
		printf("\n<CONTEÚDO DO ARQUIVO>\n");
		// Faz leitura do arquivo até encontrar seu final
		while(!feof(fp)) {
			c = fgetc(fp);
			printf("%c", c);
		}
	}

	fclose(fp);
	printf("\n\n");
	return 0;
}

/*
	NOVAS FUNÇÕES - feof(fp);
	
	-> Utilizado para indicar que o final do arquivo foi atingido
	
	protótipo:	int feof(FILE *fp);

	-> Encontra-se na biblioteca <stdio.h>, devolve verdadeiro se o final do arquivo 
	foi atingido, caso contrário, devolve 0.

*/

