#include <stdio.h>
#include <stdlib.h>

void getLinha(int l, FILE *f);

int main() {

	FILE *fp;
	char c;
	int linha;

	// Abre arquivo no modo de leitura/escrita - mantém o conteúdo do arquivo - ponteiro no início do arquivo
	fp = fopen("ler.txt", "r");

	// Verifica se abertura do arquivo foi bem-sucedida
	if(fp == NULL) {
		printf("\nProblemas ao tentar abrir arquivo!\n");
		exit(1);
	}
	else {
		printf("\nO arquivo foi aberto com sucesso!\n\n");	
	}

	// Pede a linha desejada ao usuário
	printf("Digite a linha que deseja visualizar: ");
	scanf("%i", &linha);
	if(linha > 0 && linha < 3) {
		getLinha(linha, fp);
	}
	else {
		printf("Linha Inválida! Selecione (1) ou (2)!");
	}
	
	printf("\n\n");

	// Fecha o arquivo
	fclose(fp);

	return 0;
}

void getLinha(int l, FILE *f) {

	char c;
	int condicao = 1;
	int linha_atual = 1;

	while(condicao == 1) 		// Enquanto condicao for igual a 1
	{
		c = fgetc(f); 		// Lê caracteres do arquivo ler.txt

		if(linha_atual == l) {	// Se a linha atual do arquivo for igual a linha que o usuário deseja 					
			while(c != '\n') { 		// Equanto não acabar toda linha desejada
				printf("%c", c); 	// Imprime os caracteres lidos
				c = fgetc(f); 		// Lê os caracteres da linha desejada
			}
			condicao = 0; 	// Já achou e imprimiu a linha deseja, condicao igual a 0
		}

	 	if(c == '\n') {
			linha_atual ++; // Encontrou final de linha, incremeta para próxima linha
		}
	}
}
